<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
	xmlns:notifications="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/notifications"
	xmlns:identification="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/identification" xmlns:rich="http://richfaces.org/rich">
<head></head>
<body>
		<ui:composition template="/templates/template.xhtml">	
		
		<ui:define name="title">
			<f:loadBundle basename="org.inra.ecoinfo.pro.ui.jsf.presentation" var="pres" />	
			<h:outputText value="#{pres.PARAM_MSG_TITLE}" />
		</ui:define>
		<ui:define name="body">
			<f:loadBundle basename="org.inra.ecoinfo.pro.ui.jsf.presentation" var="pres" />	
				<h1>
					<h:panelGroup styleClass="navigation">
						<h:panelGroup styleClass="navigationItem">
							<h:graphicImage name="home.png" library="images" />
							<h:outputLink value="index.html">#{pres.MSG_TITLE_PART1}</h:outputLink>
						</h:panelGroup>
						<h:panelGroup styleClass="navigationItem">#{pres.MSG_TITLE_PART2}</h:panelGroup>
					</h:panelGroup>
					<h:panelGroup styleClass="title">
						<h:graphicImage name="icon_presentation_menu.png" library="images" />
						<h:outputText value="#{pres.PARAM_MSG_TITLE}" />
					</h:panelGroup>
					
				</h1>
				<p class="intro-main">#{pres.PARAM_MSG_INTRO_MAIN}</p>				
			<h:outputText id="titre1" style="text-align:left;font-style:normal;font-size:medium;text-decoration:none;font-family:DejaVu Sans;font-weight:normal;" title="t1" value="Page de présentation du Réseau PRO" xmlns:h="http://java.sun.com/jsf/html">

			</h:outputText>
			
	<h:form id="form1">		
		<a4j:commandButton id="hideEditor" value="hide Editor" actionListener="#{uiPresentation.init}" reRender="richEditor,showname" ajaxSingle="true" execute="@form"/>
		<br/>
		<a4j:commandButton id="editLink" value="edit text" actionListener="#{uiPresentation.listenMethod}" render="richEditor,showname" execute="@form" /> 
		 
		<h:outputText id="showname" value="#{uiPresentation.rendered}" />
		
        <!-- <a4j:jsFunction name="update" render="editor,showname" execute="@this" limitRender="true">
			<a4j:param name="param1" assignTo="#{uiPresentation.rendered}"/>
		</a4j:jsFunction> -->
		
		
        <rich:editor id="richEditor" toolbar="full" value="#{uiPresentation.editedValue}" style="margin-bottom: 1em" >
            <!-- <a4j:ajax event="change" render="panel" status="panelUpdateStatus" /> -->
            <a4j:ajax event="change" render="panel" />
        </rich:editor>
         
        <rich:panel id="panel">
            <!-- <f:facet name="header">
                Output from Editor
                <a4j:status name="panelUpdateStatus">
                    <f:facet name="start">
                        (Updating)
                    </f:facet>
                </a4j:status>
            </f:facet> -->
            <h:outputText escape="false" value="#{uiPresentation.editedValue}" />
        </rich:panel>
 </h:form>
 
        
		</ui:define>
		
	</ui:composition>
 
</body>

		
</html>
